Take the 2-minute tour ×
Super User is a question and answer site for computer enthusiasts and power users. It's 100% free, no registration required.

Been banging my head on the desk for two hours now. I need to block JUST ONE .js file in ie6 (need to keep JS enabled in the browser):

http://php.net/ie6update/ie6update.js

That DARN script breaks my Zend Studio's internal browser or, if I enable JS in ie6, I get a nag popup message every time I look up a function from php.net.

I can't update to ie7,8,9 (long story).

EDIT: Thought about my HOSTS file, no-worky.

share|improve this question
    
It appears there's no amicable solution. If anyone has any ideas, I'm going to check in on this question regularly. Thanks! –  Jeff Oct 25 '10 at 16:45

2 Answers 2

up vote 0 down vote accepted

php.net uses the annoying ie6update.js script. You can block it from displaying with a custom user style sheet.

Create a .css file that contains:

#activebar-container { display: none !important; }

In Internet Explorer > Tools > Options > [General Tab] > Accessibility, tick the "Format documents using my style sheet" box and select the CSS file you created.

It won't stop the js from running, but you won't see the bar any more.

share|improve this answer

Head over to Tools -> Internet options. Click the Privacy tab, under the Privacy window, Click Sites -> Enter http://php.net/ie6update/ie6update.js -> Block.

share|improve this answer
    
That didn't work, but it was a good shot. That's for blocking cookies only, not certain scripts. And it's locked to a domain, not a path. =( –  Jeff Oct 24 '10 at 23:10
    
Ouch. HOSTS won't help either, IIRC. Let me see if there are other alternatives. –  Sathya Oct 24 '10 at 23:20
    
Heheh, I was thinking, "maybe there's a plugin or something for ie6 that could help...?" but can't find anything like that. –  Jeff Oct 25 '10 at 0:14
    
I was actually searching for an addon - but I don't think IE6 supports addons. Can't you try some other browser ? Chrome/ Firefox both have portable editions if you cannot install anything. –  Sathya Oct 25 '10 at 2:28
    
I wish I could try another browser, but ie6 is built into Zend Studio and I cannot update my system to ie7,8,9. Looks like I'm stuck for now. =( –  Jeff Oct 25 '10 at 9:15

Your Answer

 
discard

By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.